#ifndef RICHMIRRCOMBINFIT_MIRRCOMB_H
#define RICHMIRRCOMBINFIT_MIRRCOMB_H

//C++
#include <string>


class MirrComb
{
public:

  MirrComb()
  {
    m_pri = 0;
    m_sec = 0;
  }

  MirrComb(int /*pri*/, int /*sec*/);

  MirrComb(std::string /*combNam*/);

  double Z();
  void   Z(double z);

  double Y();
  void   Y(double y);

  double ZErr();
  void   ZErr(double zErr);

  double YErr();
  void   YErr(double yErr);

  double Shift();
  void   Shift(double shift);

  double ShiftErr();
  void   ShiftErr(double shiftErr);

  int Pri();
  int Sec();

private:

  double m_z;
  double m_y;
  double m_zErr;
  double m_yErr;
  double m_sinusoidShift;
  double m_sinusoidShiftErr;

  int    m_pri;
  int    m_sec;

};

#endif
